### Function

# GObject type_add_interface_dynamic

since: 2.0

#### Declaration

    void
    g_type_add_interface_dynamic (
      GType instance_type,
      GType interface_type,
      GTypePlugin* plugin
    )

#### Description

Adds `interface_type` to the dynamic `instance_type`. The information contained in the `GTypePlugin` structure pointed to by `plugin` is used to manage the relationship.

Available since: 2.0

#### Parameters

`instance_type`

  Type: `GType`

  `GType` value of an instantiatable type.

`interface_type`

  Type: `GType`

  `GType` value of an interface type.

`plugin`

  Type: `GTypePlugin`

  `GTypePlugin` structure to retrieve the `GInterfaceInfo` from.

  The data is owned by the caller of the function.